package oop7.geometry;

public class Point {
	int x, y;
	String name;
	
	public Point(int x, int y) {
		//eksp. poziv konstruktora koji nema argumente
		this();
		this.x=x;
		this.y=y;
	}
	
	//kopi-konstruktor
	public Point(Point p){
		this.x=p.x;
		this.y=p.y;
	}
	
	//ovako bi izgledao podrazumevani konstruktor
	public Point() {
		name="";
	}
	
	@Override
	public boolean equals(Object obj) {
		Point p = (Point) obj;
		return this.x==p.x && this.y==p.y;
	}
	
	public static void main(String[] args) {
		//implicitni konstruktor u slucaju da nismo definisali nas
		//u suprotnom se on ponistava, tj. ne postoji
		//Point p=new Point();
		Point p=new Point(10, 20);
		System.out.println(p.x+" "+p.y+" "+p.name);
	}
	
	@Override
	public String toString() {
		return "("+x+","+y+")";
	}
}
